Bug 77519 - GnuLs ACL additional patch not needed and it's is broken
Summary: GnuLs ACL additional patch not needed and it's is broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Yen-Ming Lee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-14 16:40 UTC by Tarc
Modified: 2005-02-17 10:31 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tarc 2005-02-14 16:40:20 UTC
ACL support already included in port (see original src/lc.c for details)

Fix: 

-.include <bsd.port.pre.mk>
-
-.if ${OSVERSION} > 500019
-.if defined(WITH_ACL_SUPPORT)
-PATCHFILES=    gnuls-acl-20010825.patch
-PATCH_SITES=   ${MASTER_SITE_LOCAL}
-PATCH_SITE_SUBDIR=     jedgar
-.else
-pre-fetch:
-       @${ECHO} "To build this port with ACL support, define"
-       @${ECHO} "WITH_ACL_SUPPORT (i.e. make -DWITH_ACL_SUPPORT)"
-.endif
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>--MOZPjv204ek0oItv5XDUB7BApSoA2S4geMl8JrGRUz9XalTs
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.orig       Wed Sep  3 18:28:30 2003
+++ Makefile    Sun Feb 13 22:50:35 2005
@@ -18,18 +18,4 @@
 GNU_CONFIGURE= yes
 MAN1=          gnuls.1 dircolors.1 dir.1 vdir.1
How-To-Repeat: %cd ${PORTSDIR}/misc/gnuls && make delete-distfiles all -DWITH_ACL_SUPPORT
===>  Deleting distfiles for gnuls-4.1
===>  Vulnerability check disabled, database not found
===>  Extracting for gnuls-4.1
=> Checksum OK for fileutils-4.1.tar.gz.
=> Checksum OK for gnuls-acl-20010825.patch.
===>  Patching for gnuls-4.1
===>  Applying distribution patches for gnuls-4.1
2 out of 5 hunks failed--saving rejects to src/ls.c.rej
*** Error code 2

Stop in ${PORTSDIR}/misc/gnuls.
Comment 1 Brian Clapper 2005-02-15 18:19:46 UTC
>Submitter-Id:	current-users
>Originator:	Brian Clapper
>Organization:	
>Confidential:	no 
>Synopsis:	Re: ports/77519: GnuLs ACL additional patch not needed and it's is broken
>Severity:	non-critical
>Priority:	medium
>Category:	ports
>Class:		maintainer-update
>Release:	FreeBSD 4.10-RELEASE i386
>Environment:
System: FreeBSD z.inside.clapper.org 4.10-RELEASE FreeBSD 4.10-RELEASE #1: Mon Aug 23 11:00:34 EDT 2004 root@z.inside.clapper.org:/usr/src/sys/compile/Z i386


>Description:

	Report by tarc@po.cs.msu.su that ACL is not needed in gnuls port.
        Enclosed patch removes ACL logic in Makefile.

	Note that I currently have no way to test this port on FreeBSD 5.x.

>How-To-Repeat:

>Fix:


diff -uNr gnuls.orig/Makefile gnuls/Makefile
--- gnuls.orig/Makefile	Tue Feb 15 13:13:45 2005
+++ gnuls/Makefile	Tue Feb 15 13:14:39 2005
@@ -19,18 +19,4 @@
 CONFIGURE_ARGS=	--disable-nls
 MAN1=		gnuls.1 dircolors.1 dir.1 vdir.1
 
-.include <bsd.port.pre.mk>
-
-.if ${OSVERSION} > 500019
-.if defined(WITH_ACL_SUPPORT)
-PATCHFILES+=	gnuls-acl-20010825.patch
-PATCH_SITES+=	${MASTER_SITE_LOCAL}
-PATCH_SITE_SUBDIR+=	jedgar
-.else
-pre-fetch:
-	@${ECHO} "To build this port with ACL support, define"
-	@${ECHO} "WITH_ACL_SUPPORT (i.e. make -DWITH_ACL_SUPPORT)"
-.endif
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Comment 2 Yen-Ming Lee freebsd_committer 2005-02-17 10:13:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->leeym

I will take care of this PR.
Comment 3 Yen-Ming Lee freebsd_committer 2005-02-17 10:31:20 UTC
State Changed
From-To: open->closed

Committed, thanks.